# Authenticatie, invoer en resultaat

## Haal herbouw gegevens op voor een object

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/rebuild`

#### Headers

| Name                                        | Type   | Description                                                                      |
| ------------------------------------------- | ------ | -------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unieke API-sleutel van Altum. Maak er een via Mopsus (<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                                 |

#### Request Body

<table><thead><tr><th width="237">Name</th><th>Type</th><th>Description</th><th>Default</th></tr></thead><tbody><tr><td>postcode<mark style="color:red;">*</mark></td><td>string</td><td>Postcode van het object</td><td></td></tr><tr><td>valuationdate</td><td>string</td><td>Waarderingsdatum (standaard is datum van boeking)</td><td></td></tr><tr><td>houseaddition</td><td>string</td><td>Huisnummer toevoegingen</td><td></td></tr><tr><td>housenumber<mark style="color:red;">*</mark></td><td>number</td><td>Huisnummer van het object</td><td></td></tr><tr><td>renovated_bathroom</td><td>boolean</td><td><p>Is de badkamer gerenoveerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>renovated_kitchen</td><td>boolean</td><td><p>Is de keuken gerenoveerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>renovated_living_room</td><td>boolean</td><td><p>Is de woonkamer gerenoveerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>wko_installation</td><td>boolean</td><td><p>Is er WKO installatie?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>foundation_not_insured</td><td>boolean</td><td><p>Is de fundering verzekerd?</p><p>false = no</p><p>true = yes</p></td><td>false</td></tr><tr><td>solar_panels</td><td>integer</td><td>Aantal zonnepanelen</td><td></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Succesvolle reactie" %}

```
{
	"Output": {
		"num_id": "0499200002030602",
		"bag_id": "0499010002023718",
		"pand_id": "0499100002015826",
		"postcode": "2771DS",
		"housenumber": "87",
		"houseaddition": "",
		"region": "Oost-Zuid-Holland",
		"city": "Boskoop",
		"street": "Zuidkade",
		"build_year": "1961",
		"inner_surface_area": "131",
		"outer_surface_area": "1605",
		"volume": "547",
		"house_type_generic": "Vrijstaande woning",
		"house_type": "Vrijstaand",
		"energy_label": "C",
		"energy_calculation_method": "RDEL_2014_1",
		"energy_calculation_code": "NEN7120",
		"monument_status": "Geen monument / Onbekend",
		"usage_indication": "Er is een gebruiker die tevens (mede)eigenaar is.",
		"building_status": "Pand in gebruik",
		"building_function": "woonfunctie",
		"rebuild_value": "558412",
    "accuracy_indicator": "5",
		"woz_value": "633822",
		"parcel_value": "62595",
		"building_value": "571227",
		"number_of_rooms": null,
		"number_of_building_layers": "2",
		"number_of_extrabuildings": null,
		"main_building_surface_area": null,
		"extrabuildings_surface_area": null,
		"listing_status": null,
		"asking_price": null,
		"asking_price_date": null,
		"last_sold_date": null,
		"wall_material": "Steen",
		"wall_material_probability": {
			"Hout": "0.05",
			"Steen": "0.95"
		},
		"floor_material": "Steen/beton",
		"floor_material_probability": {
			"Hout": "0.40",
			"Steen/beton": "0.48",
			"Hout en steen/beton": "0.10",
			"Anders": "0.02"
		},
		"roof_type": "slanted",
		"roof_material": "Dakpannen",
		"roof_material_probability": {
			"Dakpannen": "0.63",
			"Bitumen": "0.22",
			"Dakleer": "0.08",
			"Asbest": "0.07"
		},
		"roof_construction": null,
		"roof_surfaces": [
			{
				"orientation": "WN",
				"area": "19.832505836178303",
				"perimeter": "20.4330747637086",
				"angle": "24.8"
			},
			{
				"orientation": "WN",
				"area": "12.652916942719283",
				"perimeter": "25.810687359706225",
				"angle": "23.7"
			},
			{
				"orientation": "SW",
				"area": "5.255787722065841",
				"perimeter": "13.98183934283994",
				"angle": "39.1"
			},
			{
				"orientation": "ES",
				"area": "71.68768159329929",
				"perimeter": "40.00529312464371",
				"angle": "22.9"
			}
		]
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Mislukte reactie" %}

```
{
	"Output": "The given house address was not found in database."
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Verkeerd invoerformaat" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				"housenumber"
			],
			"msg": "value is not a valid integer",
			"type": "type_error.integer"
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is niet beschikbaar en/of niet beschikbaar" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Verboden" %}

```
{
	"message": "Forbidden"
}
```

{% endtab %}

{% tab title="401: Unauthorized Geen toegang" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Voorbeeld verzoeken

```
{
   "postcode" : "2771DS",
   "housenumber" : "87",
   "houseaddition":""
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/verzekeren/herbouwwaarde-api/authenticatie-invoer-en-resultaat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
